## org.eclipse.emf.ecore.impl
Class EcoreFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.emf.ecore.impl.EcoreFactoryImpl

All Implemented Interfaces:
  Notifier, EcoreFactory, EFactory, EModelElement, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject

    public class EcoreFactoryImpl

extends EFactoryImpl
implements EcoreFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected static char[]` `HEX_DIGITS`

Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`EDATE_FORMATS, ePackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EcoreFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`EcoreFactoryImpl()` Creates an instance of the factory

Method Summary
`protected java.lang.Boolean` `booleanValueOf(java.lang.String initialValue)`
`java.lang.String` `convertEBigDecimalToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertEBigIntegerToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertEBooleanObjectToString(EDataType metaObject, java.lang.Object instanceValue)`
`java.lang.String` `convertEBooleanToString(EDataType metaObject, java.lang.Object instanceValue)`
`java.lang.String` `convertEByteArrayToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertEByteObjectToString(EDataType metaObject, java.lang.Object instanceValue)`
`java.lang.String` `convertEByteToString(EDataType metaObject, java.lang.Object instanceValue)`
`java.lang.String` `convertECharacterObjectToString(EDataType metaObject, java.lang.Object instanceValue)`
`java.lang.String` `convertECharToString(EDataType metaObject, java.lang.Object instanceValue)`
`java.lang.String` `convertEDateToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertEDoubleObjectToString(EDataType metaObject, java.lang.Object instanceValue)`
`java.lang.String` `convertEDoubleToString(EDataType metaObject, java.lang.Object instanceValue)`
`java.lang.String` `convertEFloatObjectToString(EDataType metaObject, java.lang.Object instanceValue)`
`java.lang.String` `convertEFloatToString(EDataType metaObject, java.lang.Object instanceValue)`
`java.lang.String` `convertEIntegerObjectToString(EDataType metaObject, java.lang.Object instanceValue)`
`java.lang.String` `convertEIntToString(EDataType metaObject, java.lang.Object instanceValue)`
`java.lang.String` `convertEJavaClassToString(EDataType metaObject, java.lang.Object instanceValue)`
`java.lang.String` `convertEJavaObjectToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertELongObjectToString(EDataType metaObject, java.lang.Object instanceValue)`
`java.lang.String` `convertELongToString(EDataType metaObject, java.lang.Object instanceValue)`
`java.lang.String` `convertEShortObjectToString(EDataType metaObject, java.lang.Object instanceValue)`
`java.lang.String` `convertEShortToString(EDataType metaObject, java.lang.Object instanceValue)`
`java.lang.String` `convertEStringToString(EDataType metaObject, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(EDataType eDataType, java.lang.Object instanceValue)`
`EObject` `create(EClass eClass)`
`EAnnotation` `createEAnnotation()`
`EAttribute` `createEAttribute()`
`java.math.BigDecimal` `createEBigDecimalFromString(EDataType eDataType, java.lang.String initialValue)`
`java.math.BigInteger` `createEBigIntegerFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.Boolean` `createEBooleanFromString(EDataType metaObject, java.lang.String initialValue)`
`java.lang.Boolean` `createEBooleanObjectFromString(EDataType metaObject, java.lang.String initialValue)`
`byte[]` `createEByteArrayFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.Byte` `createEByteFromString(EDataType metaObject, java.lang.String initialValue)`
`java.lang.Byte` `createEByteObjectFromString(EDataType metaObject, java.lang.String initialValue)`
`java.lang.Character` `createECharacterObjectFromString(EDataType metaObject, java.lang.String initialValue)`
`java.lang.Character` `createECharFromString(EDataType metaObject, java.lang.String initialValue)`
`EClass` `createEClass()`
`EDataType` `createEDataType()`
`java.util.Date` `createEDateFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.Double` `createEDoubleFromString(EDataType metaObject, java.lang.String initialValue)`
`java.lang.Double` `createEDoubleObjectFromString(EDataType metaObject, java.lang.String initialValue)`
`EEnum` `createEEnum()`
`EEnumLiteral` `createEEnumLiteral()`
`EFactory` `createEFactory()`
`java.lang.Float` `createEFloatFromString(EDataType metaObject, java.lang.String initialValue)`
`java.lang.Float` `createEFloatObjectFromString(EDataType metaObject, java.lang.String initialValue)`
`EGenericType` `createEGenericType()`
`java.lang.Integer` `createEIntegerObjectFromString(EDataType metaObject, java.lang.String initialValue)`
`java.lang.Integer` `createEIntFromString(EDataType metaObject, java.lang.String initialValue)`
`java.lang.Class<?>` `createEJavaClassFromString(EDataType metaObject, java.lang.String initialValue)`
`java.lang.Object` `createEJavaObjectFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.Long` `createELongFromString(EDataType metaObject, java.lang.String initialValue)`
`java.lang.Long` `createELongObjectFromString(EDataType metaObject, java.lang.String initialValue)`
`EObject` `createEObject()`
`EOperation` `createEOperation()`
`EPackage` `createEPackage()`
`EParameter` `createEParameter()`
`EReference` `createEReference()`
`java.lang.Short` `createEShortFromString(EDataType metaObject, java.lang.String initialValue)`
`java.lang.Short` `createEShortObjectFromString(EDataType metaObject, java.lang.String initialValue)`
`java.lang.String` `createEStringFromString(EDataType metaObject, java.lang.String initialValue)`
`java.util.Map.Entry<java.lang.String,java.lang.String>` `createEStringToStringMapEntry()`
`ETypeParameter` `createETypeParameter()`
`java.lang.Object` `createFromString(EDataType eDataType, java.lang.String initialValue)`
`EcorePackage` `getEcorePackage()`
`static EcorePackage` `getPackage()` Deprecated.
`protected static byte` `hexCharToByte(char character)`
`static EcoreFactory` `init()` Creates the default factory implementation

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, createFromString, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### HEX_DIGITS

    protected static final char[] HEX_DIGITS

Constructor Detail

### EcoreFactoryImpl

    public EcoreFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static EcoreFactory init()

  Creates the default factory implementation.

### create

    public EObject create(EClass eClass)

  Specified by:
    `create` in interface `EFactory`
  Overrides:
    `create` in class `EFactoryImpl`
  Parameters:
    `eClass` - the class of the new instance.
  Returns:
    a new instance of the class.

### createFromString

    public java.lang.Object createFromString(EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `EFactory`
  Overrides:
    `createFromString` in class `EFactoryImpl`
    `initialValue` - literal value of the instance.
  Returns:
    an instance of the data type.
  See Also:
    `EFactory.convertToString(EDataType, Object)`

### convertToString

    public java.lang.String convertToString(EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `EFactory`
  Overrides:
    `convertToString` in class `EFactoryImpl`
  Parameters:
    `eDataType` - the data type of the value.
    `instanceValue` - the value.
  Returns:
    the literal value of the instance.
  See Also:
    `EFactory.createFromString(EDataType, String)`

### createEObject

    public EObject createEObject()

  Specified by:
    `createEObject` in interface `EcoreFactory`
  Returns:
    a new object of class 'EObject'.

### createEAttribute

    public EAttribute createEAttribute()

  Specified by:
    `createEAttribute` in interface `EcoreFactory`
  Returns:
    a new object of class 'EAttribute'.

### createEAnnotation

    public EAnnotation createEAnnotation()

  Specified by:
    `createEAnnotation` in interface `EcoreFactory`
  Returns:
    a new object of class 'EAnnotation'.

### createEClass

    public EClass createEClass()

  Specified by:
    `createEClass` in interface `EcoreFactory`
  Returns:
    a new object of class 'EClass'.

### createEDataType

    public EDataType createEDataType()

  Specified by:
    `createEDataType` in interface `EcoreFactory`
  Returns:
    a new object of class 'EData Type'.

### createEParameter

    public EParameter createEParameter()

  Specified by:
    `createEParameter` in interface `EcoreFactory`
  Returns:
    a new object of class 'EParameter'.

### createEOperation

    public EOperation createEOperation()

  Specified by:
    `createEOperation` in interface `EcoreFactory`
  Returns:
    a new object of class 'EOperation'.

### createEPackage

    public EPackage createEPackage()

  Specified by:
    `createEPackage` in interface `EcoreFactory`
  Returns:
    a new object of class 'EPackage'.

### createEFactory

    public EFactory createEFactory()

  Specified by:
    `createEFactory` in interface `EcoreFactory`
  Returns:
    a new object of class 'EFactory'.

### createEEnumLiteral

    public EEnumLiteral createEEnumLiteral()

  Specified by:
    `createEEnumLiteral` in interface `EcoreFactory`
  Returns:
    a new object of class 'EEnum Literal'.

### createEEnum

    public EEnum createEEnum()

  Specified by:
    `createEEnum` in interface `EcoreFactory`
  Returns:
    a new object of class 'EEnum'.

### booleanValueOf

    protected java.lang.Boolean booleanValueOf(java.lang.String initialValue)

### createEBooleanObjectFromString

    public java.lang.Boolean createEBooleanObjectFromString(EDataType metaObject,
                                                            java.lang.String initialValue)

### convertEBooleanObjectToString

    public java.lang.String convertEBooleanObjectToString(EDataType metaObject,
                                                          java.lang.Object instanceValue)

### createECharacterObjectFromString

    public java.lang.Character createECharacterObjectFromString(EDataType metaObject,
                                                                java.lang.String initialValue)

### convertECharacterObjectToString

    public java.lang.String convertECharacterObjectToString(EDataType metaObject,
                                                            java.lang.Object instanceValue)

### createEDateFromString

    public java.util.Date createEDateFromString(EDataType eDataType,
                                                java.lang.String initialValue)

### convertEDateToString

    public java.lang.String convertEDateToString(EDataType eDataType,
                                                 java.lang.Object instanceValue)

### createEDoubleObjectFromString

    public java.lang.Double createEDoubleObjectFromString(EDataType metaObject,
                                                          java.lang.String initialValue)

### convertEDoubleObjectToString

    public java.lang.String convertEDoubleObjectToString(EDataType metaObject,
                                                         java.lang.Object instanceValue)

### createEFloatObjectFromString

    public java.lang.Float createEFloatObjectFromString(EDataType metaObject,
                                                        java.lang.String initialValue)

### convertEFloatObjectToString

    public java.lang.String convertEFloatObjectToString(EDataType metaObject,
                                                        java.lang.Object instanceValue)

### createEIntegerObjectFromString

    public java.lang.Integer createEIntegerObjectFromString(EDataType metaObject,
                                                            java.lang.String initialValue)

### convertEIntegerObjectToString

    public java.lang.String convertEIntegerObjectToString(EDataType metaObject,
                                                          java.lang.Object instanceValue)

### createEReference

    public EReference createEReference()

  Specified by:
    `createEReference` in interface `EcoreFactory`
  Returns:
    a new object of class 'EReference'.

### createEStringToStringMapEntry

    public java.util.Map.Entry<java.lang.String,java.lang.String> createEStringToStringMapEntry()

### createEGenericType

    public EGenericType createEGenericType()

  Specified by:
    `createEGenericType` in interface `EcoreFactory`
  Returns:
    a new object of class 'EGeneric Type'.

### createETypeParameter

    public ETypeParameter createETypeParameter()

  Specified by:
    `createETypeParameter` in interface `EcoreFactory`
  Returns:
    a new object of class 'EType Parameter'.

### createEBigDecimalFromString

    public java.math.BigDecimal createEBigDecimalFromString(EDataType eDataType,
                                                            java.lang.String initialValue)

### convertEBigDecimalToString

    public java.lang.String convertEBigDecimalToString(EDataType eDataType,
                                                       java.lang.Object instanceValue)

### createEBigIntegerFromString

    public java.math.BigInteger createEBigIntegerFromString(EDataType eDataType,
                                                            java.lang.String initialValue)

### convertEBigIntegerToString

    public java.lang.String convertEBigIntegerToString(EDataType eDataType,
                                                       java.lang.Object instanceValue)

### getEcorePackage

    public EcorePackage getEcorePackage()

  Specified by:
    `getEcorePackage` in interface `EcoreFactory`
  Returns:
    the package supported by this factory.

### getPackage

    @Deprecated
    public static EcorePackage getPackage()

  Deprecated.

### createEStringFromString

    public java.lang.String createEStringFromString(EDataType metaObject,
                                                    java.lang.String initialValue)

### convertEStringToString

    public java.lang.String convertEStringToString(EDataType metaObject,
                                                   java.lang.Object instanceValue)

### createEIntFromString

    public java.lang.Integer createEIntFromString(EDataType metaObject,
                                                  java.lang.String initialValue)

### convertEIntToString

    public java.lang.String convertEIntToString(EDataType metaObject,
                                                java.lang.Object instanceValue)

### createEBooleanFromString

    public java.lang.Boolean createEBooleanFromString(EDataType metaObject,
                                                      java.lang.String initialValue)

### convertEBooleanToString

    public java.lang.String convertEBooleanToString(EDataType metaObject,
                                                    java.lang.Object instanceValue)

### createEByteObjectFromString

    public java.lang.Byte createEByteObjectFromString(EDataType metaObject,
                                                      java.lang.String initialValue)

### convertEByteObjectToString

    public java.lang.String convertEByteObjectToString(EDataType metaObject,
                                                       java.lang.Object instanceValue)

### createEFloatFromString

    public java.lang.Float createEFloatFromString(EDataType metaObject,
                                                  java.lang.String initialValue)

### convertEFloatToString

    public java.lang.String convertEFloatToString(EDataType metaObject,
                                                  java.lang.Object instanceValue)

### createECharFromString

    public java.lang.Character createECharFromString(EDataType metaObject,
                                                     java.lang.String initialValue)

### convertECharToString

    public java.lang.String convertECharToString(EDataType metaObject,
                                                 java.lang.Object instanceValue)

### createELongFromString

    public java.lang.Long createELongFromString(EDataType metaObject,
                                                java.lang.String initialValue)

### convertELongToString

    public java.lang.String convertELongToString(EDataType metaObject,
                                                 java.lang.Object instanceValue)

### createEDoubleFromString

    public java.lang.Double createEDoubleFromString(EDataType metaObject,
                                                    java.lang.String initialValue)

### convertEDoubleToString

    public java.lang.String convertEDoubleToString(EDataType metaObject,
                                                   java.lang.Object instanceValue)

### createEByteFromString

    public java.lang.Byte createEByteFromString(EDataType metaObject,
                                                java.lang.String initialValue)

### convertEByteToString

    public java.lang.String convertEByteToString(EDataType metaObject,
                                                 java.lang.Object instanceValue)

### createEByteArrayFromString

    public byte[] createEByteArrayFromString(EDataType eDataType,
                                             java.lang.String initialValue)

### hexCharToByte

    protected static byte hexCharToByte(char character)

### convertEByteArrayToString

    public java.lang.String convertEByteArrayToString(EDataType eDataType,
                                                      java.lang.Object instanceValue)

### createEShortFromString

    public java.lang.Short createEShortFromString(EDataType metaObject,
                                                  java.lang.String initialValue)

### convertEShortToString

    public java.lang.String convertEShortToString(EDataType metaObject,
                                                  java.lang.Object instanceValue)

### createEJavaClassFromString

    public java.lang.Class<?> createEJavaClassFromString(EDataType metaObject,
                                                         java.lang.String initialValue)

### convertEJavaClassToString

    public java.lang.String convertEJavaClassToString(EDataType metaObject,
                                                      java.lang.Object instanceValue)

### createEJavaObjectFromString

    public java.lang.Object createEJavaObjectFromString(EDataType eDataType,
                                                        java.lang.String initialValue)

### convertEJavaObjectToString

    public java.lang.String convertEJavaObjectToString(EDataType eDataType,
                                                       java.lang.Object instanceValue)

### createELongObjectFromString

    public java.lang.Long createELongObjectFromString(EDataType metaObject,
                                                      java.lang.String initialValue)

### convertELongObjectToString

    public java.lang.String convertELongObjectToString(EDataType metaObject,
                                                       java.lang.Object instanceValue)

### createEShortObjectFromString

    public java.lang.Short createEShortObjectFromString(EDataType metaObject,
                                                        java.lang.String initialValue)

### convertEShortObjectToString

    public java.lang.String convertEShortObjectToString(EDataType metaObject,
                                                        java.lang.Object instanceValue)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.